Subject: Re: [PATCH] Bugfix: grep: Do not colorize output when -O is set

From: René Scharfe <[email-masked]>
Date: Fri, 02 Jul 2010 18:19:17 +0200

Am 02.07.2010 12:02, schrieb Nazri Ramliy:
> When color.ui is set to auto, "git grep -Ovi foo" breaks due to the
> presence of color escape sequences.

Hmm, but with --open-files-in-pager without argument or -Oless colours
may be handled correctly and desirable.  Turning colouring off with -O
is probably the most sensible default, but is it possible to allow
turning it back on explicitly (--color -O)?

René